Bug 220687 - nash-command losetup with a file; size(file) > 2,147,483,647 returns error# 27: File too large
nash-command losetup with a file; size(file) > 2,147,483,647 returns error# 2...
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-12-22 23:06 EST by Thomas Bruecker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-14 11:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
nash.c from mkinitrd ver. 5.1.19, with line-numbers. (79.12 KB, text/plain)
2006-12-22 23:06 EST, Thomas Bruecker
no flags Details

  None (edit)
Description Thomas Bruecker 2006-12-22 23:06:08 EST
Description of problem:

Version-Release number of selected component (if applicable):
* tested with nash ver. 3.4.42,
* but compared with nash of mkinitrd ver. 5.1.19, the (according to my opinion)
  significant code for this problem has not yet been changed.
How reproducible: in every case the following steps are performed.

Steps to Reproduce:


* you have an ntfs on sda1 .
* in a nash-script you load the necessary modules to access sda1 and to mount
* in the initrd-disk you have a folder named /mnt/nCC .
* you mount in the nash-script with
  "mount -o defaults -t ntfs /dev/sda1 /mnt/nCC" sda1 on /mnt/nCC .
* in /mnt/nCC/ you have a folder VirtualDisks, in this folder there is an file
  Linux.img with a size of 4 * 1024 * 1024 * 1024 (about 4GB); whole file-path
  to Linux.img: "/mnt/nCC/VirtualDisks/Linux.img" .
* then in the nash-script:
  "losetup /dev/loop0 "/mnt/nCC/VirtualDisks/Linux.img" .

Actual results:
 you get the error: error # 27 (means File too large).

Expected results:
 a valid /dev/loop0 for .../Linux.img

Additional info:

see my attachment of nash.c from mkinitrd ver. 5.1.19:

I beg the problem will be solved if you change in the lines 811 and 813 of
my attachment and nash.c the function calls "open" to "open64" .

at least changing the corresponding function calls in nash 3.4.42 has helped.

I apologize in advance if I should have bothered you in vain with this problem,
because of a wrong choosing of the used library-version or some inappropriate
c-flags or missing #define-statements in the c-flags.
Comment 1 Thomas Bruecker 2006-12-22 23:06:08 EST
Created attachment 144328 [details]
nash.c  from mkinitrd ver. 5.1.19, with line-numbers.
Comment 2 Thomas Bruecker 2006-12-27 13:18:52 EST
seem to be identical to bug# 177776 .

Note You need to log in before you can comment on or make changes to this bug.